Bug 62987 - vsftpd error messages look really bad
vsftpd error messages look really bad
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: vsftpd (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks: 61901
  Show dependency treegraph
 
Reported: 2002-04-08 17:49 EDT by Joshua Jensen
Modified: 2014-03-16 22:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-10 15:35:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Jensen 2002-04-08 17:49:45 EDT
Description of Problem:

Beta 4, no anonftp package installed:

[root@mule root]# rpm -qa | grep ftp
gftp-2.0.11-2
ncftp-3.1.3-2
vsftpd-1.0.1-4
ftp-0.17-12

When I ftp to my machine anonymously, I see:

[root@mule root]# ncftp mule
NcFTP 3.1.3 (Mar 27, 2002) by Mike Gleason (ncftp@ncftp.com).
Connecting to 172.16.62.22...
ready, dude (vsFTPd 1.0.1: beat me, break me)
Unexpected response: OOPS: chdir
OOPS: chdir
OOPS: child died

This looks downright terrible!  Can we make vsftpd require anonftp, or if not at
least turn of anonftp functionality in the /etc/vsftpd.conf file?


Thank you.
Comment 1 Joshua Jensen 2002-04-10 15:35:17 EDT
I was thinking more about this bug, and I came to the conlusion that we should
either go one of two ways.  One: disable anonymous ftping, and don't require the
anonftp package. Two:  require the anonftp package, and leave the config as it
is to allow anonymous ftp logins. Straddling the fence as we are now, we are
forcing an error condition by allowing anonymouse ftp logins without the
required /var/ftp directory.  (This same logic could be used by wu-ftpd, BTW).
Comment 2 Bill Nottingham 2002-04-10 22:45:33 EDT
Fixed in 1.0.1-5.

Note You need to log in before you can comment on or make changes to this bug.